Index: contrib/debian/changelog
===================================================================
--- contrib/debian/changelog	(revision 1308)
+++ contrib/debian/changelog	(revision 1368)
@@ -1,3 +1,36 @@
-freediameter (1.2.1) UNRELEASED; urgency=low
+freediameter (1.3.2) RELEASED; urgency=low
+
+  * loadtest_cc: new extension: generates random
+    Credit-Control-Requests and counts how many are answered/give an
+    error/get no answer. Start it with SIGUSR2, stop it with a second
+    SIGUSR2. Statistics are printed on exit.
+  * test_cc: new extension. Automatically replies to
+    Credit-Control-Requests. Copies minimally necessary data from
+    the Request.
+
+freediameter (1.3.1) RELEASED; urgency=low
+
+  * acl_wl: add configuration reload support (using SIGUSR1).
+  * Reduce deprecation warnings.
+
+freediameter (1.3.0) RELEASED; urgency=low
+
+  * test_as: new extension. Automatically replies to Abort-Session-Requests
+    with a diameter success message.
+  * dbg_loglevel: new extension. Reads debug level from config file
+    and supports configuration reload using SIGUSR1; this allows
+    changing the loglevel at runtime.
+  * rt_rewrite: new extension. Modify messages - move data from one
+    AVP to another or drop AVPs completely.
+  * rt_deny_by_size: new extension. discard Diameter messages that are
+    larger than a configurable size. Has reload support (using
+    SIGUSR1).
+  * freeDiameterd: add syslog() support ('-s' command line flag)
+  * rt_ereg: add configuration reload support (using SIGUSR1). Support
+    grouped AVPs. Support multiple separate AVPs.
+  * rt_default: add configuration reload support (using SIGUSR1)
+  * Various bugfixes
+
+freediameter (1.2.1) RELEASED; urgency=low
 
   * New extension: rt_randomize (load-balancing on possible destinations)
@@ -19,5 +52,5 @@
  -- Sebastien Decugis <sdecugis@freediameter.net>  Sat, 30 Jan 2016 23:38:03 +0800
 
-freediameter (1.2.0) UNRELEASED; urgency=low
+freediameter (1.2.0) RELEASED; urgency=low
 
   * Major changes in the logging system to be more syslog and production friendly
@@ -57,5 +90,5 @@
  -- Sebastien Decugis <sdecugis@freediameter.net>  Sat, 14 Sep 2013 18:08:07 +0800
 
-freediameter (1.1.6) UNRELEASED; urgency=low
+freediameter (1.1.6) RELEASED; urgency=low
 
   * Fix major issue in 1.1.5 preventing to send answers to a received message.
@@ -72,5 +105,5 @@
  -- Sebastien Decugis <sdecugis@freediameter.net>  Sun, 03 Mar 2013 07:40:43 +0100
 
-freediameter (1.1.5) UNRELEASED; urgency=low
+freediameter (1.1.5) RELEASED; urgency=low
 
   * Added compatibility with MAC OS X
@@ -81,5 +114,5 @@
  -- Sebastien Decugis <sdecugis@freediameter.net>  Sat, 03 Nov 2012 17:58:11 +0100
 
-freediameter (1.1.4) UNRELEASED; urgency=low
+freediameter (1.1.4) RELEASED; urgency=low
 
   * Compatibility with GnuTLS 3.x versions / updated packaging files accordingly
@@ -90,5 +123,5 @@
  -- Sebastien Decugis <sdecugis@freediameter.net>  Fri, 24 Aug 2012 00:17:05 +0200
 
-freediameter (1.1.3) UNRELEASED; urgency=low
+freediameter (1.1.3) RELEASED; urgency=low
 
   * Fixed a memory leak
@@ -97,5 +130,5 @@
  -- Sebastien Decugis <sdecugis@freediameter.net>  Tue, 03 Jul 2012 08:15:49 +0200
 
-freediameter (1.1.2) UNRELEASED; urgency=low
+freediameter (1.1.2) RELEASED; urgency=low
 
   * FIFO queues are now capped to avoid memory exhaustion.
@@ -109,5 +142,5 @@
  -- Sebastien Decugis <sdecugis@freediameter.net>  Tue, 21 Feb 2012 18:38:10 +0100
 
-freediameter (1.1.1) UNRELEASED; urgency=low
+freediameter (1.1.1) RELEASED; urgency=low
 
   * Bug fix release
@@ -118,7 +151,7 @@
  -- Sebastien Decugis <sdecugis@nict.go.jp>  Fri, 30 Sep 2011 21:56:50 +0200
 
-freediameter (1.1.0) UNRELEASED; urgency=low
-
-  * Source package restructured. Most of the 
+freediameter (1.1.0) RELEASED; urgency=low
+
+  * Source package restructured. Most of the
     framework now contained in the libfdcore library.
     libfreeDiameter renamed as libfdproto.
@@ -132,13 +165,13 @@
   * Allow default signals such as SIGTSTP (ctrl-z) to be used with
     freeDiameterd
-  * Improved DiameterIdentity handling (esp. interationalization issues), 
-    and improve efficiency of some string operations in peers, sessions, 
+  * Improved DiameterIdentity handling (esp. interationalization issues),
+    and improve efficiency of some string operations in peers, sessions,
     and dictionary modules (closes #7)
   * Cleanup in the session module to free only unreferenced sessions (#16)
   * Removed fd_cpu_flush_cache(), replaced by more robust alternatives.
-  * Improved peer state machine algorithm to counter SCTP multistream race 
+  * Improved peer state machine algorithm to counter SCTP multistream race
     condition.
   * New extension rt_redirect.fdx that handles the Diameter Redirect errors.
-  * New extension app_redirect that allows sending Redirect indications to 
+  * New extension app_redirect that allows sending Redirect indications to
     other peers. See doc/app_redirect.conf.sample for more information.
   * Added incomplete dictionary extension for rfc4006 (DCCA), courtesy
@@ -147,7 +180,7 @@
  -- Sebastien Decugis <sdecugis@freediameter.net>  Tue, 29 Mar 2011 10:41:19 +0900
 
-freediameter (1.0.4) UNRELEASED; urgency=low
-
-  * Added new API to specify timeout on receiving answer (#10) 
+freediameter (1.0.4) RELEASED; urgency=low
+
+  * Added new API to specify timeout on receiving answer (#10)
   * Bumped API version number accordingly.
   * New test_netemul extension (simple network emulator proxy)
@@ -156,5 +189,5 @@
  -- Sebastien Decugis <sdecugis@nict.go.jp>  Tue, 11 Jan 2011 12:28:22 +0900
 
-freediameter (1.0.3) UNRELEASED; urgency=low
+freediameter (1.0.3) RELEASED; urgency=low
 
   * Fixed a couple of issues for portability (#21, #22, #23)
@@ -162,5 +195,5 @@
   * Added dictionary support for MIPv6 application objects.
   * Added dictionary support for legacy XML files.
-  * Added python interface dbg_interactive (experimental). 
+  * Added python interface dbg_interactive (experimental).
   * Added parameters to fd_disp_register() and fd_sess_handler_create(),
     Bumped API version number accordingly.
@@ -168,8 +201,8 @@
  -- Sebastien Decugis <sdecugis@nict.go.jp>  Tue, 14 Dec 2010 11:39:29 +0900
 
-freediameter (1.0.2) UNRELEASED; urgency=low
+freediameter (1.0.2) RELEASED; urgency=low
 
   * Fix an issue in app_diameap.fdx with user names (#18)
-  * Allow DH parameters loaded from a file (#17) 
+  * Allow DH parameters loaded from a file (#17)
   * Fixed a few compilation warnings on 64bits architectures.
   * New ALL_EXTENSIONS build option.
@@ -177,5 +210,5 @@
  -- Sebastien Decugis <sdecugis@nict.go.jp>  Wed, 27 Oct 2010 11:17:32 +0900
 
-freediameter (1.0.1) UNRELEASED; urgency=low
+freediameter (1.0.1) RELEASED; urgency=low
 
   * app_acct.fdx: new set of PHP scripts available in source
@@ -199,5 +232,5 @@
 freediameter (1.0.0-2) experimental; urgency=low
 
-  * Official release 1.0.0 
+  * Official release 1.0.0
 
  -- Sebastien Decugis <sdecugis@nict.go.jp>  Thu, 29 Jul 2010 17:27:13 +0900
@@ -206,4 +239,4 @@
 
   * Initial Release.
-  
+
  -- Sebastien Decugis <sdecugis@nict.go.jp>  Wed, 19 May 2010 15:36:54 +0900
